cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/shipping_profiles" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"shipping_profile": {
"name": "Flat rate",
"shipping_type": "FIXED",
"fixed_amount": 10
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_shipping_profile(
{
"shipping_profile": {
"name": "Flat rate",
"shipping_type": "FIXED",
"fixed_amount": 10,
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsShippingProfile({
shipping_profile: {name: 'Flat rate', shipping_type: 'FIXED', fixed_amount: 10},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsShippingProfile([
'shipping_profile' => ['name' => 'Flat rate', 'shipping_type' => 'FIXED', 'fixed_amount' => 10],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsShippingProfileRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsShippingProfileRead> response = client.settings().createSettingsShippingProfile(
Map.of(
"shipping_profile", Map.of(
"name", "Flat rate",
"shipping_type", "FIXED",
"fixed_amount", 10)));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsShippingProfileAsync(new Dictionary<string, object?>
{
["shipping_profile"] = new Dictionary<string, object?>
{
["name"] = "Flat rate",
["shipping_type"] = "FIXED",
["fixed_amount"] = 10,
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsShippingProfile({
'shipping_profile': {
'name': 'Flat rate',
'shipping_type': 'FIXED',
'fixed_amount': 10,
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsShippingProfile(context.Background(), map[string]any{
"shipping_profile": map[string]any{
"name": "Flat rate",
"shipping_type": "FIXED",
"fixed_amount": 10,
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"shipping_profile": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"fixed_amount": 123,
"href": "<string>",
"id": "<string>",
"integration_connection": "<unknown>",
"invoice_note": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"price_tax_inclusive": true,
"sales_tax_rate": 123,
"shipping_type": "<string>",
"status": "<string>",
"tax_exempt": true,
"tax_rule": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"version": 123
}
}Instance settings
Create a shipping profile
Creates a shipping profile and returns it under shipping_profile.
POST
/
settings
/
shipping_profiles
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/shipping_profiles" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"shipping_profile": {
"name": "Flat rate",
"shipping_type": "FIXED",
"fixed_amount": 10
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_shipping_profile(
{
"shipping_profile": {
"name": "Flat rate",
"shipping_type": "FIXED",
"fixed_amount": 10,
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsShippingProfile({
shipping_profile: {name: 'Flat rate', shipping_type: 'FIXED', fixed_amount: 10},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsShippingProfile([
'shipping_profile' => ['name' => 'Flat rate', 'shipping_type' => 'FIXED', 'fixed_amount' => 10],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsShippingProfileRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsShippingProfileRead> response = client.settings().createSettingsShippingProfile(
Map.of(
"shipping_profile", Map.of(
"name", "Flat rate",
"shipping_type", "FIXED",
"fixed_amount", 10)));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsShippingProfileAsync(new Dictionary<string, object?>
{
["shipping_profile"] = new Dictionary<string, object?>
{
["name"] = "Flat rate",
["shipping_type"] = "FIXED",
["fixed_amount"] = 10,
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsShippingProfile({
'shipping_profile': {
'name': 'Flat rate',
'shipping_type': 'FIXED',
'fixed_amount': 10,
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsShippingProfile(context.Background(), map[string]any{
"shipping_profile": map[string]any{
"name": "Flat rate",
"shipping_type": "FIXED",
"fixed_amount": 10,
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"shipping_profile": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"fixed_amount": 123,
"href": "<string>",
"id": "<string>",
"integration_connection": "<unknown>",
"invoice_note": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"price_tax_inclusive": true,
"sales_tax_rate": 123,
"shipping_type": "<string>",
"status": "<string>",
"tax_exempt": true,
"tax_rule": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"version": 123
}
}Send the new profile under
shipping_profile. name and shipping_type are required, and a FIXED profile also needs fixed_amount.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new shipping profile, under shipping_profile.
Show child attributes
Show child attributes